Subject: [OAUTH-WG] broken links in draft-ietf-oauth-introspection-11

From: Aaron Parecki <[email-masked]>
Date: Sat, 18 Jul 2015 18:24:43 -0700

In section 2.2,
https://tools.ietf.org/html/draft-ietf-oauth-introspection-11#section-2.2
the "scope" description references section 3.3 of RFC6749, but the
hyperlink contains just the fragment #section-3.3 which then points to the
current page. The same problem exists with the "token_type" parameter.
Additionally, I believe the token type link should point to section 7.1 (
https://tools.ietf.org/html/rfc6749#section-7.1) which is where token types
are defined. Thanks!

----
Aaron Parecki
aaronparecki.com
@aaronpk <http://twitter.com/aaronpk>

---

From: Justin Richer <[email-masked]>
Date: Sun, 19 Jul 2015 07:05:38 +0200

Thanks, those are artifacts in the rendered XML, I’ll look into fixing them.

 — Justin

> On Jul 19, 2015, at 3:24 AM, Aaron Parecki <[email-masked]> wrote:
> 
> In section 2.2, https://tools.ietf.org/html/draft-ietf-oauth-introspection-11#section-2.2 <https://tools.ietf.org/html/draft-ietf-oauth-introspection-11#section-2.2> the "scope" description references section 3.3 of RFC6749, but the hyperlink contains just the fragment #section-3.3 which then points to the current page. The same problem exists with the "token_type" parameter. Additionally, I believe the token type link should point to section 7.1 (https://tools.ietf.org/html/rfc6749#section-7.1 <https://tools.ietf.org/html/rfc6749#section-7.1>) which is where token types are defined. Thanks!
> 
> ----
> Aaron Parecki
> aaronparecki.com <http://aaronparecki.com/>

---

From: John Bradley <[email-masked]>
Date: Sun, 19 Jul 2015 14:09:38 +0200

Remember tools is not using the XML to render the HTML directly, it is marking up the text version.   This bites me all the time as well.

The text version needs to render to “Section 3.3 of RFC 6749” to get Rfcmarkup tool <http://tools.ietf.org/tools/rfcmarkup/index> to render it correctly.   

The trailing of OAuth 2.0 messes up Rfcmarkup.

I am looking at fixing PIXE for the RFC editor so this happens to be a current issue for me, as I did the same thing because that is what produces the best HTML output from XML2RFC.

What I have learned is to NOT format looking at the html output from XML2RFC as it leads you in the wrong direction,  output as text then run through Rfcmarkup to see what the version on the document tracker will look like.

Hope this saves you some time.

John B.

> On Jul 19, 2015, at 7:05 AM, Justin Richer <[email-masked]> wrote:
> 
>> On Jul 19, 2015, at 3:24 AM, Aaron Parecki <[email-masked] <mailto:[email-masked]>> wrote:
>> 
> _______________________________________________
> OAuth mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/oauth

---

From: Brian Campbell <[email-masked]>
Date: Sun, 19 Jul 2015 16:50:58 +0200

Barry explained the tools issue that causes this and how to work around it
a while back on the JOSE list:
http://www.ietf.org/mail-archive/web/jose/current/msg04571.html

On Sun, Jul 19, 2015 at 2:09 PM, John Bradley <[email-masked]> wrote:

> Remember tools is not using the XML to render the HTML directly, it is
> marking up the text version.   This bites me all the time as well.
>
> The text version needs to render to “Section 3.3 of RFC 6749” to get Rfcmarkup
> tool <http://tools.ietf.org/tools/rfcmarkup/index> to render it
> correctly.
>
> I am looking at fixing PIXE for the RFC editor so this happens to be a
> current issue for me, as I did the same thing because that is what produces
> the best HTML output from XML2RFC.
>
> What I have learned is to NOT format looking at the html output from
> XML2RFC as it leads you in the wrong direction,  output as text then run
> through Rfcmarkup to see what the version on the document tracker will look
> like.
>
> https://tools.ietf.org/html/rfc6749#section-7.1) which is where token
> types are defined. Thanks!
>
> ----
> Aaron Parecki
> aaronparecki.com

---

From: Justin Richer <[email-masked]>
Date: Sun, 19 Jul 2015 22:43:37 +0200

Thanks for the pointers everyone, that should now be fixed in the copy in GitHub. I’ll publish a new draft this week sometime, after confirming the clearance of the final IESG DISCUSS.

 — Justin

> On Jul 19, 2015, at 4:50 PM, Brian Campbell <[email-masked]> wrote:
> 
> Barry explained the tools issue that causes this and how to work around it a while back on the JOSE list: http://www.ietf.org/mail-archive/web/jose/current/msg04571.html <http://www.ietf.org/mail-archive/web/jose/current/msg04571.html>
> 
> On Sun, Jul 19, 2015 at 2:09 PM, John Bradley <[email-masked] <mailto:[email-masked]>> wrote:
>> On Jul 19, 2015, at 7:05 AM, Justin Richer <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> [email-masked] <mailto:[email-masked]>
>> https://www.ietf.org/mailman/listinfo/oauth <https://www.ietf.org/mailman/listinfo/oauth>
> 
> 
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/oauth <https://www.ietf.org/mailman/listinfo/oauth>
> 
>